<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;TOCropViewControllerDelegate&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_t_o_crop_view_controller_delegate-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;TOCropViewControllerDelegate&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_t_o_crop_view_controller_8h_source.html">TOCropViewController.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for &lt;TOCropViewControllerDelegate&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_t_o_crop_view_controller_delegate-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a95003b07945921e86a7d864374dfeb63"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_t_o_crop_view_controller_delegate-p.html#a95003b07945921e86a7d864374dfeb63">cropViewController:didCropImageToRect:angle:</a></td></tr>
<tr class="separator:a95003b07945921e86a7d864374dfeb63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7890334725d82cc17116012248fe7dff"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_t_o_crop_view_controller_delegate-p.html#a7890334725d82cc17116012248fe7dff">cropViewController:didCropToImage:withRect:angle:</a></td></tr>
<tr class="separator:a7890334725d82cc17116012248fe7dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a060ace46b382aeb9e20ec0ac8c12a29b"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_t_o_crop_view_controller_delegate-p.html#a060ace46b382aeb9e20ec0ac8c12a29b">cropViewController:didCropToCircularImage:withRect:angle:</a></td></tr>
<tr class="separator:a060ace46b382aeb9e20ec0ac8c12a29b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27f7eda3952717ad126788910738e92"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_t_o_crop_view_controller_delegate-p.html#aa27f7eda3952717ad126788910738e92">cropViewController:didFinishCancelled:</a></td></tr>
<tr class="separator:aa27f7eda3952717ad126788910738e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><hr  />
 </div><h2 class="groupheader">Method Documentation</h2>
<a id="a95003b07945921e86a7d864374dfeb63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95003b07945921e86a7d864374dfeb63">&#9670;&nbsp;</a></span>cropViewController:didCropImageToRect:angle:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) cropViewController: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)&#160;</td>
          <td class="paramname"><em>cropViewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">didCropImageToRect:</td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>cropRect</em></td>
        </tr>
        <tr>
          <td class="paramkey">angle:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>angle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when the user has committed the crop action, and provides just the cropping rectangle.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cropRect</td><td>A rectangle indicating the crop region of the image the user chose (In the original image's local co-ordinate space) </td></tr>
    <tr><td class="paramname">angle</td><td>The angle of the image when it was cropped </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a060ace46b382aeb9e20ec0ac8c12a29b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a060ace46b382aeb9e20ec0ac8c12a29b">&#9670;&nbsp;</a></span>cropViewController:didCropToCircularImage:withRect:angle:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) cropViewController: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)&#160;</td>
          <td class="paramname"><em>cropViewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">didCropToCircularImage:</td>
          <td></td>
          <td class="paramtype">(nonnull UIImage *)&#160;</td>
          <td class="paramname"><em>image</em></td>
        </tr>
        <tr>
          <td class="paramkey">withRect:</td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>cropRect</em></td>
        </tr>
        <tr>
          <td class="paramkey">angle:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>angle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If the cropping style is set to circular, implementing this delegate will return a circle-cropped version of the selected image, as well as it's cropping co-ordinates</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">image</td><td>The newly cropped image, clipped to a circle shape </td></tr>
    <tr><td class="paramname">cropRect</td><td>A rectangle indicating the crop region of the image the user chose (In the original image's local co-ordinate space) </td></tr>
    <tr><td class="paramname">angle</td><td>The angle of the image when it was cropped </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7890334725d82cc17116012248fe7dff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7890334725d82cc17116012248fe7dff">&#9670;&nbsp;</a></span>cropViewController:didCropToImage:withRect:angle:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) cropViewController: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)&#160;</td>
          <td class="paramname"><em>cropViewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">didCropToImage:</td>
          <td></td>
          <td class="paramtype">(nonnull UIImage *)&#160;</td>
          <td class="paramname"><em>image</em></td>
        </tr>
        <tr>
          <td class="paramkey">withRect:</td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>cropRect</em></td>
        </tr>
        <tr>
          <td class="paramkey">angle:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>angle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when the user has committed the crop action, and provides both the original image with crop co-ordinates.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">image</td><td>The newly cropped image. </td></tr>
    <tr><td class="paramname">cropRect</td><td>A rectangle indicating the crop region of the image the user chose (In the original image's local co-ordinate space) </td></tr>
    <tr><td class="paramname">angle</td><td>The angle of the image when it was cropped </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa27f7eda3952717ad126788910738e92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa27f7eda3952717ad126788910738e92">&#9670;&nbsp;</a></span>cropViewController:didFinishCancelled:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) cropViewController: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_t_o_crop_view_controller.html">TOCropViewController</a> *)&#160;</td>
          <td class="paramname"><em>cropViewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">didFinishCancelled:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>cancelled</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If implemented, when the user hits cancel, or completes a UIActivityViewController operation, this delegate will be called, giving you a chance to manually dismiss the view controller</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cancelled</td><td>Whether a cropping action was actually performed, or if the user explicitly hit 'Cancel' </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_t_o_crop_view_controller_8h_source.html">TOCropViewController.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
